Bug 249929 - Review Request: dynagen - Dynamips Hypervisor Client
Review Request: dynagen - Dynamips Hypervisor Client
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 246150
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-28 01:13 EDT by Nigel Jones
Modified: 2008-06-03 02:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-03 02:37:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nigel Jones 2007-07-28 01:13:52 EDT
Spec URL: http://dev.nigelj.com/SRPMS/dynagen.spec
SRPM URL: http://dev.nigelj.com/SRPMS/dynagen-0.9.3-1.fc8.src.rpm
Description:
Dynagen is a text-based front end for Dynamips, that uses the Hypervisor 
mode for communication with Dynamips.

Dynagen can simplify building and working with virtual networks.

rpmlint etc clean
Comment 1 Pierre-Yves 2007-07-31 03:05:47 EDT
Hi

This is my first review so I will do my best but I might need help :-)

At a first look:
 you should use install rather than cp to install the files
 you can change %{_mandir}/man1/dynagen.1.gz by %{name}.1.gz
 I am surprise by your %{_bindir}/* in the %files section

I will have a further look later on.


Comment 2 Nigel Jones 2007-07-31 04:49:05 EDT
(In reply to comment #1)
> Hi
> This is my first review so I will do my best but I might need help :-)
> At a first look:
>  you should use install rather than cp to install the files

As there is no make, it doesn't _really_ matter, and there isn't really any 
advantages either way that I'm aware of (although I'll most likely change it 
later on).

>  you can change %{_mandir}/man1/dynagen.1.gz by %{name}.1.gz

I won't do this, as it breaks the logical layout of the files section, (i.e. by 
removing all the context), plus it's not consistent with other packages 
(nothing personal, just a style thing).

>  I am surprise by your %{_bindir}/* in the %files section

As there isn't a make install (where by the contents of bindir may change 
without warning), and instead I'm explicatly copying the two executable 
scripts, it's not too much of an issue in comparison to other packages, I will 
look at changing if there is anything major wrong.

> I will have a further look later on.

Please look at bug 246150 (dynamips which dynagen depends on) before reviewing 
this package.
Comment 3 Pierre-Yves 2007-07-31 16:40:35 EDT
First complains here :

$ rpmlint ../RPMS/noarch/dynagen-0.9.3-1.fc6.noarch.rpm 
E: dynagen non-executable-script /usr/lib/python2.4/site-packages/console.py 0644
W: dynagen spurious-executable-perm
/usr/share/doc/dynagen-0.9.3/sample_labs/all_config_options.txt
W: dynagen wrong-file-end-of-line-encoding /usr/share/doc/dynagen-0.9.3/README.txt
E: dynagen non-executable-script
/usr/lib/python2.4/site-packages/dynamips_lib.py 0644
E: dynagen wrong-script-end-of-line-encoding
/usr/lib/python2.4/site-packages/dynamips_lib.py
W: dynagen hidden-file-or-dir /usr/share/doc/dynagen-0.9.3/sample_labs/.DS_Store
E: dynagen script-without-shebang /usr/bin/configspec
W: dynagen wrong-file-end-of-line-encoding /usr/share/doc/dynagen-0.9.3/COPYING
W: dynagen wrong-file-end-of-line-encoding
/usr/share/doc/dynagen-0.9.3/docs/tutorial.htm
Comment 4 Nigel Jones 2008-06-03 02:37:15 EDT
About time I closed this, doesn't meet entry requirements - closing.

Note You need to log in before you can comment on or make changes to this bug.